summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgattrib-properties-1
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/msgattrib-properties-1')
-rwxr-xr-xgettext-tools/tests/msgattrib-properties-160
1 files changed, 60 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgattrib-properties-1 b/gettext-tools/tests/msgattrib-properties-1
new file mode 100755
index 0000000..5e6e843
--- /dev/null
+++ b/gettext-tools/tests/msgattrib-properties-1
@@ -0,0 +1,60 @@
+#! /bin/sh
+
+# Test --translated option with Java .properties syntax.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles ma-test15.properties"
+cat <<\EOF > ma-test15.properties
+# HEADER.
+#
+!=Project-Id-Version\: Bonnie Tyler\n
+
+#: married-men:4
+#, fuzzy
+!The\ world\ is\ full\ of\ married\ men=So viele verheiratete M\u00e4nner
+
+#: married-men:5
+with\ wives\ who\ never\ understand=und ihre Frauen verstehen sie nicht
+
+#: married-men:6
+!They're\ looking\ for\ someone\ to\ share=
+
+# schwer zu \u00fcbersetzen...
+#: married-men:7
+!the\ excitement\ of\ a\ love\ affair=
+
+#: married-men:8
+!Just\ as\ soon\ as\ they\ find\ you=
+
+#: married-men:9
+!They\ warn\ you\ and\ darn\ you=
+EOF
+
+tmpfiles="$tmpfiles ma-test15.out"
+: ${MSGATTRIB=msgattrib}
+${MSGATTRIB} --translated --properties-input --properties-output ma-test15.properties -o ma-test15.out
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles ma-test15.ok"
+cat <<\EOF > ma-test15.ok
+# HEADER.
+#
+!=Project-Id-Version\: Bonnie Tyler\n
+
+#: married-men:4
+#, fuzzy
+!The\ world\ is\ full\ of\ married\ men=So viele verheiratete M\u00e4nner
+
+#: married-men:5
+with\ wives\ who\ never\ understand=und ihre Frauen verstehen sie nicht
+EOF
+
+: ${DIFF=diff}
+${DIFF} ma-test15.ok ma-test15.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result